<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="structdlib_1_1float__details.html">float_details</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">dlib::float_details Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="structdlib_1_1float__details.html">dlib::float_details</a>, including all inherited members.</p>
<table class="directory">
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>convert_from_T</b>(const T &amp;val) (defined in <a class="el" href="structdlib_1_1float__details.html">dlib::float_details</a>)</td><td class="entry"><a class="el" href="structdlib_1_1float__details.html">dlib::float_details</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>convert_to_T</b>() const (defined in <a class="el" href="structdlib_1_1float__details.html">dlib::float_details</a>)</td><td class="entry"><a class="el" href="structdlib_1_1float__details.html">dlib::float_details</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>exponent</b> (defined in <a class="el" href="structdlib_1_1float__details.html">dlib::float_details</a>)</td><td class="entry"><a class="el" href="structdlib_1_1float__details.html">dlib::float_details</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="structdlib_1_1float__details.html#a76c793d7254e3dd4cbcea1ca1cc308bf">float_details</a>(int64 man, int16 exp)</td><td class="entry"><a class="el" href="structdlib_1_1float__details.html">dlib::float_details</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structdlib_1_1float__details.html#ad8cfbe3576aa4dae1d090a9753138932">float_details</a>()</td><td class="entry"><a class="el" href="structdlib_1_1float__details.html">dlib::float_details</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="structdlib_1_1float__details.html#afd053d94a5c1c9844560de92bd132c53">float_details</a>(const double &amp;val)</td><td class="entry"><a class="el" href="structdlib_1_1float__details.html">dlib::float_details</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>float_details</b>(const float &amp;val) (defined in <a class="el" href="structdlib_1_1float__details.html">dlib::float_details</a>)</td><td class="entry"><a class="el" href="structdlib_1_1float__details.html">dlib::float_details</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>float_details</b>(const long double &amp;val) (defined in <a class="el" href="structdlib_1_1float__details.html">dlib::float_details</a>)</td><td class="entry"><a class="el" href="structdlib_1_1float__details.html">dlib::float_details</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structdlib_1_1float__details.html#ab2f2813553592b7af84321d1f1fcec92">is_inf</a></td><td class="entry"><a class="el" href="structdlib_1_1float__details.html">dlib::float_details</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>is_nan</b> (defined in <a class="el" href="structdlib_1_1float__details.html">dlib::float_details</a>)</td><td class="entry"><a class="el" href="structdlib_1_1float__details.html">dlib::float_details</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>is_ninf</b> (defined in <a class="el" href="structdlib_1_1float__details.html">dlib::float_details</a>)</td><td class="entry"><a class="el" href="structdlib_1_1float__details.html">dlib::float_details</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>mantissa</b> (defined in <a class="el" href="structdlib_1_1float__details.html">dlib::float_details</a>)</td><td class="entry"><a class="el" href="structdlib_1_1float__details.html">dlib::float_details</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structdlib_1_1float__details.html#aa03a9015c7645212dc0b63fca8845a96">operator double</a>() const</td><td class="entry"><a class="el" href="structdlib_1_1float__details.html">dlib::float_details</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>operator float</b>() const (defined in <a class="el" href="structdlib_1_1float__details.html">dlib::float_details</a>)</td><td class="entry"><a class="el" href="structdlib_1_1float__details.html">dlib::float_details</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>operator long double</b>() const (defined in <a class="el" href="structdlib_1_1float__details.html">dlib::float_details</a>)</td><td class="entry"><a class="el" href="structdlib_1_1float__details.html">dlib::float_details</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="structdlib_1_1float__details.html#aea51a2fbd9d6c41a2ec28a1a35296346">operator=</a>(const double &amp;val)</td><td class="entry"><a class="el" href="structdlib_1_1float__details.html">dlib::float_details</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>operator=</b>(const float &amp;val) (defined in <a class="el" href="structdlib_1_1float__details.html">dlib::float_details</a>)</td><td class="entry"><a class="el" href="structdlib_1_1float__details.html">dlib::float_details</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>operator=</b>(const long double &amp;val) (defined in <a class="el" href="structdlib_1_1float__details.html">dlib::float_details</a>)</td><td class="entry"><a class="el" href="structdlib_1_1float__details.html">dlib::float_details</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
